Core - Task # 49227

Epic # 55070 (Accepted): Workpackages
Epic # 54542 (Accepted): WP: Importer / Exporter with relations MM/IRRE/FAL
Story # 55520 (Resolved): As an User | want to create exports in v. 6.2 and import them in v. 6.2

Status: Closed Priority: Must have

Author: Francois Suter Category: Import/Export (T3D)
Created: 2013-06-18 Assigned To: Francois Suter
Updated: 2014-11-03 Due date:

TYPOS3 Version: 6.1

PHP Version: 5.3

Complexity: hard

Sprint Focus:

Subiject: Files missing in import/export

Description

When exporting and importing sys_file records using the impexp module, the files are not copied, causing errors after import.

More generally the import/export process works pretty badly with FAL, because all storages and sys_files are stored in pid = 0, making
it impossible to export just a few pages with their images. You are obliged to export the whole root.

Related issues:

related to Core - Task # 55532: Impexp: import the binary files being sys_fil... Resolved 2014-01-31
related to Core - Task # 55431: Impexp: file contents of sys_file are not inc... Resolved 2014-01-29
duplicates Core - Bug # 46679: impexp: Import in v6 fails with fal-error Closed 2013-03-26
History

#1 - 2014-02-05 20:44 - Marc Bastian Heinrichs

- Category changed from File Abstraction Layer (FAL) to Import/Export (T3D)
- Assigned To set to Marc Bastian Heinrichs

- Target version set to 6.2.0

- Parent task set to #55520

- Is Regression set to No

#2 - 2014-02-10 12:02 - Marc Bastian Heinrichs

Hey Francois,

More generally the import/export process works pretty badly with FAL, because all storages and

sys_files are stored in pid = 0, making it impossible to export just a few pages with their
images. You are obliged to export the whole root.

you could include relations stored outside your export tree (also to sys_file records) by selecting the tables in "Include relations to tables:"

#3 - 2014-06-21 18:26 - Marc Bastian Heinrichs
- Status changed from New to Needs Feedback

- Assigned To changed from Marc Bastian Heinrichs to Francois Suter

Works for you now in 6.27
#4 - 2014-11-03 15:17 - Alexander Opitz
- Status changed from Needs Feedback to Closed

No feedback within the last 90 days => closing this issue.

If you think that this is the wrong decision or experience this issue again, then please write to the mailing list typo3.teams.bugs with issue number and

an explanation or open a new ticket and add a relation to this ticket number.

#5 - 2014-11-03 15:34 - Francois Suter

Sounds fine closing it. | haven't tried such a scenario recently, | know a lot happened in 6.2 in this regard.
